Page MenuHomePhabricator

[[Special:Search]] shows "Results 1 - 2 of 2" when there is only one result
Closed, ResolvedPublic

Description

When I search for "nomedoartigo" on Portuguese Wikipedia, MediaWiki returns

Result 1 of 1

but does not show any pages in the list

In the original bug report, it returned the message

Results 1 - 2 of 2 for "nomedoartigo"

but only listed one result (pt:Paulo Lima de Brito, now deleted)

Details

Reference
bz69382

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:37 AM
bzimport added a project: MediaWiki-Search.
bzimport set Reference to bz69382.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Aug 11 2014, 12:07 AM

Gah, I don't think it's a Cirrus bug, I think I'm still fighting an off-by-one bug in core's Special:Search. This has been frustrating :\

demon removed a subscriber: demon.Aug 19 2015, 4:00 PM
Restricted Application added a project: Discovery. · View Herald TranscriptAug 19 2015, 4:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana lowered the priority of this task from Normal to Lowest.Dec 23 2015, 5:19 AM
Deskana moved this task from Needs triage to Search on the Discovery board.
He7d3r updated the task description. (Show Details)Dec 23 2015, 1:35 PM
He7d3r set Security to None.

Anyone has a test case that still works?

Restricted Application added a project: Discovery-Search. · View Herald TranscriptAug 20 2018, 8:54 AM
GoEThe removed a subscriber: GoEThe.Aug 21 2018, 12:17 PM

Change 458316 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] Dont override SearchResultSet::numRows()

https://gerrit.wikimedia.org/r/458316

Change 458316 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Dont override SearchResultSet::numRows()

https://gerrit.wikimedia.org/r/458316

debt closed this task as Resolved.Sep 13 2018, 9:13 PM